package com.ruoyi.buyerapi.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.annotation.Excel.ColumnType;
import com.ruoyi.common.annotation.Excel.Type;
import com.ruoyi.common.annotation.Excels;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.domain.entity.SysDept;
import com.ruoyi.common.core.domain.entity.SysRole;
import com.ruoyi.common.xss.Xss;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.Email;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.util.Date;
import java.util.List;

/**
 * 员工工时导出bean
 *
 * @author ruoyi
 */
@ApiModel(value = "员工工时考勤")
@Data
public class BuyerEmpWorkHourExcel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户邮箱 */
    @ApiModelProperty(value = "姓名")
    @Excel(name = "姓名")
    private String name;

    /** 用户邮箱 */
    @ApiModelProperty(value = "部门")
    @Excel(name = "部门")
    private String dept;

    /** 用户邮箱 */
    @ApiModelProperty(value = "所耗工时")
    @Excel(name = "所耗工时")
    private String cost;

    /** 用户邮箱 */
    @ApiModelProperty(value = "考勤日期")
    @Excel(name = "考勤日期(yyyy-MM-dd)")
    private String workDate;

}
