package com.ruoyi.buyerapi.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 员工工时分摊记录对象 根据项目统计
 *
 * @author ruoyi
 * @date 2022-09-22
 */
@Data
public class BuyerEmpWorkhourByProject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private String id;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 项目负责人 */
    @Excel(name = "项目负责人")
    private String projectPeople;

    /** 成员人数 */
    @Excel(name = "成员人数")
    private String peopleNum;

    /** 工时累积 */
    @Excel(name = "工时累积")
    private String totalWork;

    /** 成本累积 */
    @Excel(name = "成本累积")
    private String totalCost;

    /** 公司id */
    @Excel(name = "公司id")
    private String companyId;

    private String year;
    private String month;
    private String startDate;
    private String endDate;

}
