package com.ruoyi.commonapi.util;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 企业微信
 */
@Data
@Configuration
@ConfigurationProperties(prefix = "wxpay")
public class CpWxPayProperties {

    private String appId;
    private String appSecret;
    private String mchId;
    private String apiKey;
    private String signType;
    private String certPath;
    private String notifyUrl;

}
